<?php

/**
 * Vvveb
 *
 * Copyright (C) 2022  Ziadin Givan
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 */

namespace Vvveb\Plugins\BankTransferPayment\Controller;

use function Vvveb\__;
use Vvveb\Controller\Base;
use function Vvveb\getMultiSettingContent;
use function Vvveb\setMultiSetting;
use function Vvveb\setMultiSettingContent;
use Vvveb\Sql\Order_StatusSQL;
use Vvveb\Sql\Region_GroupSQL;
use Vvveb\Sql\Tax_TypeSQL;
use Vvveb\System\CacheManager;

class Settings extends Base {
	private $namespace = 'bank-transfer-payment';

	function save() {
		//$validator = new Validator(['plugins.bank-transfer-payment.settings']);
		$settings  = $this->request->post['settings'] ?? false;
		$errors    = [];

		if ($settings /*&&
			($errors = $validator->validate($settings)) === true*/) {
			//$settings              = $validator->filter($settings);
			$results               =  setMultiSetting($this->namespace, $settings);

			$lang     = $this->request->post['lang'] ?? [];
			$meta     = [];

			foreach ($lang as $key => $values) {
				foreach ($values as $language_id => $value) {
					$meta[] = ['namespace' => $this->namespace, 'key' => $key, 'value' => $value, 'language_id' => $language_id];
				}
			}

			setMultiSettingContent($this->global['site_id'], $meta);
			CacheManager::delete();
			$this->view->success[] = __('Settings saved!');
		} else {
			$this->view->validationErrors = $errors;
		}

		return $this->index();
	}

	function index() {
		$geoRegion = new Region_GroupSQL();
		$regions	  = $geoRegion->getAll($this->global);

		$region_group_id = [];

		foreach ($regions['region_group'] as $region_group) {
			$region_group_id[$region_group['region_group_id']] = $region_group['name'];
		}

		$this->view->region_group = $region_group_id;

		$taxTypes = new Tax_TypeSQL();
		$taxes    = $taxTypes->getAll($this->global);

		$tax_type_id = [];

		foreach ($taxes['tax_type'] as $tax) {
			$tax_type_id[$tax['tax_type_id']] = $tax['name'];
		}

		$orderStatus  = new Order_StatusSQL();
		$statuses     = $orderStatus->getAll($this->global);

		foreach ($statuses['order_status'] as $status) {
			$order_status_id[$status['order_status_id']] = $status['name'];
		}

		$seo = getMultiSettingContent($this->global['site_id'], $this->namespace) ?? [];

		foreach ($seo as $meta) {
			$this->view->lang[$meta['language_id']][$meta['key']] = $meta['value'];
		}

		$this->view->tax_type_id   = $tax_type_id;
		$this->view->order_status  = $order_status_id;
		$settings                  = \Vvveb\getSetting($this->namespace);
		$this->view->set($settings);
	}
}
